Index: demos/lib/Xmd/onHelp.c
===================================================================
--- demos/lib/Xmd/onHelp.c.orig
+++ demos/lib/Xmd/onHelp.c
@@ -70,7 +70,7 @@ int main(argc, argv)
   Widget dismiss;
 
   toplevel = XtVaAppInitialize(&app_context, "HelpOnHelp", NULL, 0, 
-			       &argc, argv, NULL, 0);
+			       &argc, argv, NULL, NULL);
   n = 0;
   XtSetArg(args[n], XmdNhelpFile, "helpOn"); n++;
   help = XmdCreateHelp(toplevel, "help", args, n);
Index: demos/programs/Exm/simple_app/simpleDemo.c
===================================================================
--- demos/programs/Exm/simple_app/simpleDemo.c.orig
+++ demos/programs/Exm/simple_app/simpleDemo.c
@@ -162,7 +162,7 @@ main (int argc, char **argv)
 
   menu = XmCreatePulldownMenu(menuBar, "FileMenu", NULL, 0);
 
-  XtVaSetValues(cascade, XmNsubMenuId, menu, 0);
+  XtVaSetValues(cascade, XmNsubMenuId, menu, NULL);
 
   str = XmStringCreateLocalized("Quit");
   menuitem = XtVaCreateManagedWidget("item", xmPushButtonWidgetClass,
Index: demos/programs/filemanager/actions.c
===================================================================
--- demos/programs/filemanager/actions.c.orig
+++ demos/programs/filemanager/actions.c
@@ -91,7 +91,7 @@ viewCB(Widget widget, char   *type, XtPo
   XtVaSetValues(fileviewer,
 		XmNlayoutType, spatial,
 		XmNentryViewType, size,
-		0, 0);
+		NULL);
 
   fixViewerSize(XtParent(fileviewer), NULL, NULL);
 
Index: demos/programs/filemanager/filemanager.c
===================================================================
--- demos/programs/filemanager/filemanager.c.orig
+++ demos/programs/filemanager/filemanager.c
@@ -118,7 +118,7 @@ main(int argc, char* argv[])
 
   XtSetArg(args[n], XmNallowShellResize, True);  n++;
   toplevel = XtVaAppInitialize(&app_context, APP_CLASS, NULL, 0, &argc, argv,
-			       fallback_resources, 0);
+			       fallback_resources, NULL);
 
   app_class_quark = XrmStringToQuark(APP_CLASS);
   app_quark = XrmStringToQuark(argv[0]);
Index: demos/programs/fileview/text.c
===================================================================
--- demos/programs/fileview/text.c.orig
+++ demos/programs/fileview/text.c
@@ -160,7 +160,7 @@ void NewPaneCallback(Widget widget, View
       XtSetValues(XtParent(new->text), args, n);
       XmTextSetTopCharacter(new->text,
 			    XmTextGetTopCharacter(this->current_pane->text));
-      XtVaSetValues(target, XmNheight, (Dimension) height/2);
+      XtVaSetValues(target, XmNheight, (Dimension) height/2, NULL);
    }
    printf("source text set\n");
    XtManageChild(new->text);
Index: demos/programs/popups/autopopups.c
===================================================================
--- demos/programs/popups/autopopups.c.orig
+++ demos/programs/popups/autopopups.c
@@ -82,7 +82,7 @@ int main(int argc, char **argv)
   XmString	str, tmp1, tmp2;
 
   shell     = XtVaAppInitialize(&context, APP_CLASS, NULL, 0, &argc, argv,
-				NULL, 0);
+				NULL, NULL);
 
   frame1 = XmCreateFrame(shell, "outerframe", NULL, 0);
   XtManageChild(frame1);
Index: demos/programs/setdate/setDate.c
===================================================================
--- demos/programs/setdate/setDate.c.orig
+++ demos/programs/setdate/setDate.c
@@ -93,7 +93,7 @@ int main(int argc, char **argv)
   char *str;
 
   shell     = XtVaAppInitialize(&context, APP_CLASS, NULL, 0, &argc, argv,
-				fallback_resources, 0);
+				fallback_resources, NULL);
 
   time(&timer);
   thetime = localtime(&timer);
Index: demos/programs/todo/todo.c
===================================================================
--- demos/programs/todo/todo.c.orig
+++ demos/programs/todo/todo.c
@@ -149,7 +149,7 @@ main(int argc, char* argv[])
   shell		= XtVaAppInitialize(&context, APP_CLASS,
 				    optionDesc, XtNumber(optionDesc), 
 				    &argc, argv,
-				    fallback_resources, 0);
+				    fallback_resources, NULL);
 
   XtGetApplicationResources(shell, (XtPointer) &options,
 			    resources, XtNumber(resources), (Arg *) NULL, 0);
Index: demos/programs/drag_and_drop/simpledrop.c
===================================================================
--- demos/programs/drag_and_drop/simpledrop.c.orig
+++ demos/programs/drag_and_drop/simpledrop.c
@@ -124,7 +124,8 @@ static void Warning(DropDemo this, Strin
    else if (s2 == NULL)
      msg = XmStringCreateLocalized(s1);
    else {
-      strncat(strcpy(tmp, s1), s2, 256);
+	   strcpy(tmp, s1);
+      strncat(tmp, s2, sizeof(tmp)-strlen(tmp)-1);
       msg = XmStringCreateLocalized(tmp);
    }

